-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

newEntity{
	define_as = "BASE_NPC_WOLFMAN",
	type = "animal", subtype = "wolfman",
	display = '', color=colors.UMBER, image = "mushroom/npcs/wolfmans.png",
	desc = [[I don't have any problem killing wolfmen. On Earth they were killers, rapists, and televangelists.]],
   his = "its",
   cries = "barks",
   he = "it",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	stats = { str=12, aim=14, hea=12, spd=10 },
   stamina_cost = 100,
	combat_armor = 0,
   sight = 6,
   crit_defence = 5,
      body = { INVEN = 40, MELEE=1, RANGED=1, BODY=1, HEAD=1 },
	  resolvers.drops{chance=1000, nb=1, {} },
   copy = {
      resolvers.inventory{
            {type="stimulant", subtype="regeneration", name="wolf_heart", rarity=1},
        },
   },
   
}

newEntity{ base = "BASE_NPC_WOLFMAN",
	name = "Wolfman",
	desc = [[I don't have any problem killing wolfmen. On Earth they were killers, rapists, and televangelists.]],
	level_range = {1, 4}, exp_worth = 1,
	rarity = 4,
	max_life = resolvers.rngavg(5,10),
	combat = { dam=10, crit_chance = 1 },
}