-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


newEntity{
	define_as = "BASE_NPC_JUNKIE",
	type = "human", subtype = "child", image = "mushroom/npcs/zombies.png",
   drunk_name = "piranha",
	display = '', color=colors.LIGHT_STEEL_BLUE,
	desc = [[Zombies, I don't know about. They don't talk much. I have the feeling that if it gets too crowded in here, they will walk the earth.]],
   his = "his",
   cries = "cries",
   he = "he",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	stats = { str=8, aim=16, hea=6, spd=10 },
   stamina_cost = 100,
	combat_armor = 0,
   sight = 6,
   crit_defence = 5,
   energy = {mod = 1.6
   body = { INVEN = 40, MELEE=1, RANGED=1, BODY=1, HEAD=1 },
   resolvers.drops{chance=1000, nb=1, {} },
   copy = {
      resolvers.inventory{
            {type="stimulant", subtype="regeneration", name="zombie_heart"},
        },
   },
   
}

newEntity{ base = "BASE_NPC_JUNKIE",
	name = "young boy",
	level_range = {2, 10}, exp_worth = 0,
	rarity = 6,
	max_life = 1,
	combat = { dam=5, crit_chance = 0 },
}

newEntity{ base = "BASE_NPC_JUNKIE",
	name = "young girl",
   color=colors.PINK,
   his = "her",
   he = "she",
   desc = [[Large bright eyes shine out from a small grubby face.  The young girl is dressed in rags, grime covering every inch of her soft skin, her hair sweeping backwards in untended knots.]],

	level_range = {2, 10}, exp_worth = 0,
	rarity = 6,
	max_life = 1,
	combat = { dam=5, crit_chance = 0 },
}