-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


newEntity{ define_as = "BASE_BROWN_RAT",
   type = "animal", subtype = "rat",
	display = '', color=colors.DARK_UMBER, 
	image = "mushroom/npcs/rats.png",
	anim = {speed=0.12, loop=-1, max=4},
   drunk_name = "vermin",
	desc = [[Some people, when they go to Hell, become Ratmen. Accountants and lawyers I think.]],
   his = "its",
   cries = "sqeaks",
   he = "it",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	name = "brown rat",
	level_range = {1, 4}, exp_worth = 1,
	rarity = 4,
	max_life = resolvers.rngavg(4,6),
   stats = { str=6, aim=12, hea=4, spd=10 },
   stamina_cost = 100,
	combat = { dam=1, crit_chance = 0},
   energy = {mod = 1.2},
   sight = 5,
   crit_defence = 0,
      body = { INVEN = 40, MELEE=1, RANGED=1, BODY=1, HEAD=1 },
	  resolvers.drops{chance=1000, nb=1, {} },
   copy = {
      resolvers.inventory{
            {type="stimulant", subtype="regeneration", name="rat_heart"},
        },
   },
}

newEntity{ define_as = "BASE_WHITE_RAT",
	type = "animal", subtype = "rat",
	display = '', image = "mushroom/npcs/rats.png",
	anim = {speed=0.12, loop=-1, max=4},
   drunk_name = "vermin",
	desc = [[Some people, when they go to Hell, become Ratmen. Accountants and lawyers I think.]],
   his = "its",
   cries = "sqeaks",
   he = "it",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	name = "white rat",
   color=colors.LIGHT_SLATE,
	level_range = {1, 4}, exp_worth = 1,
	rarity = 4,
	max_life = resolvers.rngavg(2,4),
   stamina_cost = 5,
	stats = { str=6, aim=10, hea=4, spd=1 },
   energy = {mod = 1.5},
	combat = { dam=5, crit_chance = 0 },
   energy = {mod = 1.2},
   sight = 4,
   crit_defence = 0,
}

newEntity{ define_as = "BASE_BLACK_RAT",
	type = "animal", subtype = "rat",
	display = '', image = "mushroom/npcs/rats.png",
	anim = {speed=0.12, loop=-1, max=4},
	desc = [[Some people, when they go to Hell, become Ratmen. Accountants and lawyers I think.]],
   his = "its",
   cries = "sqeaks",
   he = "it",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
   name = "black rat",
   color=colors.LIGHT_DARK,
	level_range = {1, 4}, exp_worth = 1,
	rarity = 4,
	stamina_cost = 5,
	max_life = resolvers.rngavg(2,5),
   stats = { str=10, aim=10, hea=4, spd=1 },
	combat = { dam=5, crit_chance = 0 },
   energy = {mod = 1.2},
   sight = 4,
   crit_defence = 0,
}