-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

newEntity{
	define_as = "BASE_NPC_GREENMOLD",
	type = "animal", subtype = "green mold",
	display = '', color=colors.UMBER, image = "mushroom/npcs/greenmold.png",
	anim = {speed=0.25, loop=-1, max=4},
	desc = [[The green mold. One hell of a scary dude. It's a good thing they are slow.]],
   his = "its",
   cries = "barks",
   he = "it",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	stats = { str=32, aim=34, hea=32, spd=1 },
   stamina_cost = 0,
	combat_armor = 0,
   sight = 6,
   crit_defence = 5,
      body = { INVEN = 40, MELEE=1, RANGED=1, BODY=1, HEAD=1 },
	  resolvers.drops{chance=1000, nb=1, {} },
   copy = {
      resolvers.inventory{
            {type="gun", subtype="potion", name="A cyan bottle of booze.", rarity=1},
        },
   },
   
}

newEntity{ base = "BASE_NPC_GREENMOLD",
	name = "green mold",
	desc = [[The green mold. One hell of a scary dude. It's a good thing they are slow.]],
	level_range = {1, 4}, exp_worth = 1,
	rarity = 4,
	max_life = resolvers.rngavg(5,10),
	combat = { dam=40, crit_chance = 0 },
}