-- ToME - Tales of Middle-Earth
-- Copyright (C) 2009, 2010 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

newEntity{
	define_as = "BASE_NPC_JUNKIE",
	type = "human", subtype = "junkie",
	display = '', color=colors.DARK_KHAKI, image = "mushroom/npcs/vampires.png",
	desc = [[I was kinda dissapointed with in Hell. Sure, they die with a stake to the heart. But they also die from punches to the face.]],
   his = "his",
   cries = "yelps",
   he = "he",
	ai = "dumb_talented_simple", ai_state = { talent_in=3, },
	stats = { str=12, aim=12, hea=12, spd=10 },
   stamina_cost = 100,
	combat_armor = 0,
   sight = 6,
   crit_defence = 5,
   body = { INVEN = 40, MELEE=1, RANGED=1, BODY=1, HEAD=1 },
   resolvers.drops{chance=1000, nb=1, {} },
   copy = {
      resolvers.inventory{
            {type="stimulant", subtype="regeneration", name="vampire_heart"},
        },
   },
   
}

newEntity{ base = "BASE_NPC_JUNKIE",
	name = "stim addict",
	level_range = {2, 10}, exp_worth = 2,
	rarity = 10,
	max_life = resolvers.rngavg(15,20),
	combat = { dam=10, crit_chance = 1 },
}

newEntity{ base = "BASE_NPC_JUNKIE",
	name = "stim addict",
   his = "her",
   he = "she",
   desc = [[Lots of people give up on this life, handing themselves over to the joys that only narcotics can provide.  Who can blame them when everything else is pain?  This junkie's skin is pockmarked with open sores, and bones seem to jut out from her anorexic flesh.  She looks at me with her vacant eyes, and suddenly the light of greed arises.]],

   drunk_desc = [[This useless piece of trash is no better than an animal, feeding off base desires.  She's probably better off dead.]],
	level_range = {2, 10}, exp_worth = 2,
	rarity = 10,
	max_life = resolvers.rngavg(15,20),
	combat = { dam=4, crit_chance = 5 },
}