-- Broken Bottle - 7DRL
-- Copyright (C) 2011 Darren Grey
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


return {
	name = "Caves",
	level_range = {3, 7},
	max_level = 3,
	decay = {300, 800},
	width = 50, height = 50,
	persistent = "zone",
	generator =  {
		map = {
			class = "engine.generator.map.Cavern",
			up = "UP",
			down = "DOWN",
         zoom = 10,
			min_floor = 300,
			floor = "FLOOR",
			wall = "WALL",
			door = "FLOOR",
		},
		actor = {
			class = "engine.generator.actor.Random",
			nb_npc = {20, 30},
		},
      object = {
         class = "engine.generator.object.Random",
         nb_object = {3, 6},
      },
	},
		levels =
	{
		[1] = {
			generator = { map = {
				up = "DOWN_MINES",
			}, },
         
		},
		[3] = {
			generator =  { map = {
            force_last_stair = true,
				down = "UP_UPPERMINES",
			}, },
		},
	},
   
  
   on_enter = function(lev, old_lev, newzone)
      if lev == 1 then
         local Dialog = require("engine.ui.Dialog")
         if not game.level.shown_warning then
            Dialog:simpleLongPopup("Caves", [[I hear a distance high-pitched laugh, a giggle echoing through the cavernous halls.  Several voices chant in unison, "Na na, naa na-na."

Aw shit.... Piranhas.

The war left a lot of orphans behind, and in our violent society more are made all the time.  And who can look after kids in an age like this?  Hard enough to feed yourself...  So they're left homeless, roaming the streets and the mines, begging for scraps or stealing what they can to survive.  Some of them band together into groups, marking out their own territories, attacking anyone that comes near.

This is the last thing I need right now.  Fucking piranhas...
]],500)
            game.level.shown_warning = true
         end
      end
      if lev == 3 then
         local Dialog = require("engine.ui.Dialog")
         if not game.level.shown_warning2 then
            Dialog:simpleLongPopup("Caves", [[I got me a kid somewhere.  Dunno what happened to her.  Not even sure what age she'd be these days...  My memories are clouded in a dim haze of whiskey and bourbon.  Probably better that way...

Wonder what she looks like now.  Could she be out here, amongst these wild children?  Would she recognise her old pa, dirt-encrusted and stubbly, still stinkin' of liquor?  I sometimes dream about her, but the dreams are always painful.

Probably she's dead.  I hope she's dead...  She don't deserve this world.
]],500)
            game.level.shown_warning2 = true
         end
      end
   end,
   
}
